<main class="container">
  <section class="left-navbar">
    <span class="material-icons admin-logo"> person </span>
    <span class="btn" (click)="getUsers()">Doctors</span>
    <span class="btn" (click)="displayNurseList()">Nurse</span>
    <span class="btn">Requests</span>
    <span class="btn">Notifications</span>
  </section>
  <section class="table-content">
    <mat-icon class="add-icon" (click)="dialogBox()">person_add</mat-icon>

    <div *ngIf="showDialogBox" class="dialog-box">
      <form [formGroup]="form" class="pop-up" (ngSubmit)="addUser(form)">
        <input placeholder="name" type="text" formControlName="name" />
        <input placeholder="email" type="text" formControlName="email" />
        <input
          placeholder="enter speciality"
          type="text"
          formControlName="speciality"
        />
        <input
          type="text"
          value="Doctor"
          placeholder="Role:Doctor"
          formControlName="role"
          readonly="readonly"
        />
        <select name="nurses" id="" placeholder="select nurses">
          <option value="">Nurse</option>
        </select>
        <button type="submit">Save</button>
      </form>
    </div>
    <div class="doctor-table mat-elevation-z8">
      <mat-table #table [dataSource]="dataSource" class="table">
        <ng-container matColumnDef="name">
          <mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
          <mat-cell *matCellDef="let element"> {{ element.name }} </mat-cell>
        </ng-container>
        <ng-container matColumnDef="speciality">
          <mat-header-cell *matHeaderCellDef> Speciality </mat-header-cell>
          <mat-cell *matCellDef="let element">
            {{ element.speciality }}
          </mat-cell>
        </ng-container>
        <ng-container matColumnDef="nurses">
          <mat-header-cell *matHeaderCellDef> Nurses </mat-header-cell>
          <ng-container>
            <mat-cell *matCellDef="let element">
              <span *ngFor="let nurse of element.nurses">{{
                nurse.name + " ,  "
              }}</span>
            </mat-cell>
          </ng-container>
        </ng-container>
        <ng-container matColumnDef="edit">
          <mat-header-cell *matHeaderCellDef>edit</mat-header-cell>
          <mat-cell *matCellDef="let element">
            <button mat-icon-button class="iconbutton" (click)="editDoctor()">
              <mat-icon class="edit-icon">edit</mat-icon>
            </button>
          </mat-cell>
        </ng-container>
        <ng-container matColumnDef="delete">
          <mat-header-cell *matHeaderCellDef>delete</mat-header-cell>
          <mat-cell *matCellDef="let element">
            <button
              mat-icon-button
              class="iconbutton"
              (click)="deleteDoctor(element); editDoctor()"
            >
              <mat-icon class="delete-icon">delete</mat-icon>
            </button></mat-cell
          >
        </ng-container>
        <mat-header-row
          *matHeaderRowDef="columnsToBeDisplayed"
        ></mat-header-row>
        <mat-row *matRowDef="let row; columns: columnsToBeDisplayed"></mat-row>
      </mat-table>
      <mat-paginator #paginator [pageSize]="5" [pageSizeOptions]="[5, 10, 20]">
      </mat-paginator>
    </div>
  </section>
</main>
